org.springframework.data.web

## Class XmlBeamHttpMessageConverter

- java.lang.Object
- - org.springframework.http.converter.AbstractHttpMessageConverter<Object>
  - - org.springframework.data.web.XmlBeamHttpMessageConverter

All Implemented Interfaces:
  HttpMessageConverter<Object>

    public class XmlBeamHttpMessageConverter
    extends AbstractHttpMessageConverter<Object>

A read-only `HttpMessageConverter` to create XMLBeam-based projection instances for interfaces.

Author:
  Oliver Gierke, Christoph Strobl
See Also:
  https://www.xmlbeam.org

### Field Summary

### Fields inherited from class org.springframework.http.converter.AbstractHttpMessageConverter

`logger`

### Constructor Summary

Constructors
Constructor and Description
`XmlBeamHttpMessageConverter()` Creates a new `XmlBeamHttpMessageConverter`.
`XmlBeamHttpMessageConverter(org.xmlbeam.XBProjector projector)` Creates a new `XmlBeamHttpMessageConverter` using the given `XBProjector`.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `canWrite(Class<?> clazz, MediaType mediaType)`
`protected Object` `readInternal(Class<? extends Object> clazz, HttpInputMessage inputMessage)`
`protected boolean` `supports(Class<?> type)`
`protected void` `writeInternal(Object t, HttpOutputMessage outputMessage)`

### Methods inherited from class org.springframework.http.converter.AbstractHttpMessageConverter

`addDefaultHeaders, canRead, canRead, canWrite, getContentLength, getDefaultCharset, getDefaultContentType, getSupportedMediaTypes, read, setDefaultCharset, setSupportedMediaTypes, write`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### XmlBeamHttpMessageConverter

    public XmlBeamHttpMessageConverter()

Creates a new `XmlBeamHttpMessageConverter`.

#### XmlBeamHttpMessageConverter

    public XmlBeamHttpMessageConverter(org.xmlbeam.XBProjector projector)

Creates a new `XmlBeamHttpMessageConverter` using the given `XBProjector`.

Parameters:
  `projector` - must not be null.

### Method Detail

#### supports

    protected boolean supports(Class<?> type)

Specified by:
  `supports` in class `AbstractHttpMessageConverter<Object>`

#### canWrite

    public boolean canWrite(Class<?> clazz,
                            @Nullable
                            MediaType mediaType)

Specified by:
  `canWrite` in interface `HttpMessageConverter<Object>`
Overrides:
  `canWrite` in class `AbstractHttpMessageConverter<Object>`

#### readInternal

    protected Object readInternal(Class<? extends Object> clazz,
                                  HttpInputMessage inputMessage)
                           throws IOException,
                                  HttpMessageNotReadableException

Specified by:
  `readInternal` in class `AbstractHttpMessageConverter<Object>`
Throws:
  `IOException`
  `HttpMessageNotReadableException`

#### writeInternal

    protected void writeInternal(Object t,
                                 HttpOutputMessage outputMessage)
                          throws IOException,
                                 HttpMessageNotWritableException

Specified by:
  `writeInternal` in class `AbstractHttpMessageConverter<Object>`
Throws:
  `IOException`
  `HttpMessageNotWritableException`